<?php

namespace App\Models;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class Orders extends Authenticatable
{
    use Notifiable;

    protected $table = 'orders';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'client_id',
        'flight_id',
        'barcode',
        'operator_id',
        'name',
        'from_address',
        'boxes',
        'debet',
        'credit',
        'added',
        'edited',
        'total',
        'amount',
        'weight',
        'sign',
        'summa',
        'track_number',
        'is_site',
        'site_name',
        'site_track_number',
        'is_payment_uzb',
        'to_address_id',
        'payment_is_to_office',
        'client_type',
        'delivery_info',
        'label_url',
        'payment_info',
        'comment',
        'status_id'
    ];


    public $timestamps = false;

    protected $casts = [
        'added' => 'datetime',
        'edited' => 'datetime'
    ];
}
